---
search:
  tags:
    - V1
    - POST
seo:
  description: >-
    Append immutable Supabase examples to a… Reference for the POST
    /v1/projects/{projectId}/datasets/{datasetIdentifier}/examples endpoint in
    the Judgeval API.
sidebar:
  label: Insert examples to offline-test dataset
  badge: POST
title: Insert examples to offline-test dataset
type: openapi-operation
---
Append immutable Supabase examples to a v1 offline-test dataset and advance dataset versioning. Trace-typed columns hold trace ids; session-typed columns hold session ids and snapshot their shared trace IDs.

`POST /v1/projects/{projectId}/datasets/{datasetIdentifier}/examples`

**Request body** (`application/json`, required)

- `examples` (object[], required)

Request body example:

```json
{
  "examples": [
    {}
  ]
}
```

**Responses**

- `200` — Response for status 200
- `404` — Response for status 404
- `422` — Response for status 422

Response example, 200:

```json
{
  "example_ids": [
    "string"
  ],
  "version_added": 0
}
```
